Module javafx.base
Package javafx.beans.property

# Class ObjectProperty<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>

Type Parameters:
  `T` - the type of the wrapped `Object`

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`

Direct Known Subclasses:
  `JavaBeanObjectProperty`, `ObjectPropertyBase`

    public abstract class ObjectProperty<T>
    extends ReadOnlyObjectProperty<T>
    implements Property<T>, WritableObjectValue<T>

This class provides a full implementation of a `Property` wrapping an arbitrary `Object`. The value of a `ObjectProperty` can be get and set with `ObservableObjectValue.get()`, `ObservableValue.getValue()`, `WritableObjectValue.set(Object)`, and `WritableValue.setValue(Object)`. A property can be bound and unbound unidirectional with `Property.bind(ObservableValue)` and `Property.unbind()`. Bidirectional bindings can be created and removed with `Property.bindBidirectional(Property)` and `Property.unbindBidirectional(Property)`. The context of a `ObjectProperty` can be read with `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()`. For specialized implementations for `ObservableList`, `ObservableSet` and `ObservableMap` that also report changes inside the collections, see `ListProperty`, `SetProperty` and `MapProperty`, respectively.

Since:
  JavaFX 2.0
See Also:
  `ObservableObjectValue`, `WritableObjectValue`, `ReadOnlyObjectProperty`, `Property`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObjectProperty()` | Creates a default `ObjectProperty`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `toString()` | Returns a string representation of this `ObjectProperty` object.

  ### Methods declared in class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### ObjectProperty

    public ObjectProperty()
    Creates a default `ObjectProperty`.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `ObjectProperty` object.
    Overrides:
      `toString` in class `ReadOnlyObjectProperty<T>`
    Returns:
      a string representation of this `ObjectProperty` object.